Subject: [TLS] ESNI test server

From: Stephen Farrell <[email-masked]>
Date: Fri, 14 Jun 2019 15:00:42 +0100

Hiya,

I've put up an ESNI-enabled test server (details
at [1]) that supports ESNI draft-02 and draft-03
based on my openssl fork. [2]

It's a bit of a case of chewing gum and string
(the "server" is actually just "openssl s_server"
really:-) so don't be surprised if it falls over
but it seems to work with FF (draft-02) and with
openssl s_client (both versions). I might also
bring it up and down myself sometimes as I muck
about with the back-end stuff more.

Please do ping me if you see any issues with it.

I plan to be at the IETF105 hackathon if anyone
wanted to play with/against it then.

Cheers,
S.

[1] https://defo.ie/
[2] https://github.com/sftcd/openssl/tree/master/esnistuff